import request from '@/utils/request'

// 查询pssr审批管理列表
export function listApprove(query) {
  return request({
    url: '/pssr/approve/list',
    method: 'get',
    params: query
  })
}

// 查询pssr审批管理详细
export function getApprove(approveId) {
  return request({
    url: '/pssr/approve/' + approveId,
    method: 'get'
  })
}

// 新增pssr审批管理
export function addApprove(data) {
  return request({
    url: '/pssr/approve',
    method: 'post',
    data: data
  })
}

// 修改pssr审批管理
export function updateApprove(data) {
  return request({
    url: '/pssr/approve',
    method: 'put',
    data: data
  })
}

//
export function updateApproveBatch(data) {
  return request({
    url: '/pssr/approve/editBatch',
    method: 'put',
    data: data
  })
}


// 删除pssr审批管理
export function delApprove(approveId) {
  return request({
    url: '/pssr/approve/' + approveId,
    method: 'delete'
  })
}

// 导出pssr审批管理
export function exportApprove(query) {
  return request({
    url: '/pssr/approve/export',
    method: 'get',
    params: query
  })
}

// pssr发起审批
export function doApprove(subId) {
  return request({
    url: '/pssr/approve/doPssrApprove/'+subId,
    method: 'post'
  })
}

// pssr处理审批
export function handlePssrApprove(data) {
  return request({
    url: '/pssr/approve/handlePssrApprove',
    method: 'put',
    data: data
  })
}


// pssr经理处理审批
export function handleMgrApprove(data) {
  return request({
    url: '/pssr/approve/handleMgrApprove',
    method: 'put',
    data: data
  })
}
